Synnefo - Feature # 1403

Status: Closed Priority: Medium

Author: Vangelis Koukis Category: Cyclades API
Created: 10/03/2011 Assignee: Giorgos Verigakis
Updated: 10/10/2011 Due date:

Subject: Update APl implementation for server/image metadata based on latest version of spec
Description

Update API implementation for handling of server and image metadata, allow creation of new metadata items in POST call.

This ticket concerns the semantic change of allowing an 'Update metadata' operation to also create new metadata items. The API spec
prescribes a URL change from .../meta to @.../metadata’, this will have to happen at a later stage to avoid breaking the Ul client.

Related issues:
related to Synnefo - Bug # 1399: The kamaki client lib fails to set server me... Closed 10/02/2011 10/03/2011
precedes Synnefo - Feature # 1462: Update AP| implementation based on latest ... Assigned 10/10/2011 11/11/2011

Associated revisions

Revision 7cc3c7d9 - 10/03/2011 05:11 pm - Giorgos Verigakis
Change Update Metadata to create non-existing keys

Update Metadata methods for servers and images

used to ignore keys that did not exist. This patch

will create them instead.

Refs #1403

Refs #1399

History

#1 - 10/03/2011 05:23 pm - Giorgos Verigakis
There are many incompatible changes in the new spec that will break the clients. Commit 7cc3c7d94d48761ed12bb675b541602b78d38248 fixes update

metadata which was a bit ambiguous, but the rest should probably go into a separate ticket to update the whole API to the new spec.

#2 - 10/10/2011 02:12 pm - Vangelis Koukis
- Status changed from Assigned to Closed

Opened #1462 to track updating the APl implementation to latest version of the spec draft, closing ticket.
